package lingtao.net.bean;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import lombok.Data;

@Data
public class SysPermission implements Serializable {
	private static final long serialVersionUID = 1L;
	private Integer perId;
	private String perName;
	private String url;
	private String type;
	private String perCode;
	private String perIcon;
	private Integer parentId;
	public Integer getPerId() {
		return perId;
	}

	public void setPerId(Integer perId) {
		this.perId = perId;
	}

	public String getPerName() {
		return perName;
	}

	public void setPerName(String perName) {
		this.perName = perName;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getPerCode() {
		return perCode;
	}

	public void setPerCode(String perCode) {
		this.perCode = perCode;
	}

	public String getPerIcon() {
		return perIcon;
	}

	public void setPerIcon(String perIcon) {
		this.perIcon = perIcon;
	}

	public Integer getParentId() {
		return parentId;
	}

	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getThirdOrderName() {
		return thirdOrderName;
	}

	public void setThirdOrderName(String thirdOrderName) {
		this.thirdOrderName = thirdOrderName;
	}

	public Integer getThirdParentId() {
		return thirdParentId;
	}

	public void setThirdParentId(Integer thirdParentId) {
		this.thirdParentId = thirdParentId;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public boolean isOpen() {
		return open;
	}

	public void setOpen(boolean open) {
		this.open = open;
	}

	public List<SysPermission> getChildren() {
		return children;
	}

	public void setChildren(List<SysPermission> children) {
		this.children = children;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	private String orderNo;
	private String thirdOrderName;
	private Integer thirdParentId;
	private String createBy;
	private Date createDate;

	private boolean open = true;

	private List<SysPermission> children; // 子权限集合

}
